# include/NvElementProfiler.h File Reference

`#include <iostream>`
`#include <pthread.h>`
`#include <map>`
`#include <stdint.h>`
`#include <sys/time.h>`

Go to the source code of this file.

## Classes

class | NvElementProfiler
| `NvElementProfiler` is a helper class for profiling the performance of individual elements. More...
struct | NvElementProfiler::NvElementProfiler::NvElementProfilerData
| Holds profiling data for the element. More...
struct | NvElementProfiler::NvElementProfiler::NvElementProfilerDataInternal